/*
 Theme Name:     Divi Child
 Theme URI:      https://www.elegantthemes.com/gallery/divi/
 Description:    Divi Child Theme
 Author:         Elegant Themes
 Author URI:     https://www.elegantthemes.com
 Template:       Divi
 Developer:      https://www.ehost.com.au
*/
/* Theme customization starts here
    Desktop: 981px and above (min-width: 981px)
    Tablet: between 980px and 768px (max-width: 980px)
    Mobile: 767px and below (max-width: 768px)
#c95b38 terracotta
#6d7383 slate grey
#588155 light green
#254e22 dark green
------------------------------------------------------- */
#page-container {
	max-width: 2200px;
	margin: auto;
}
/* Top secondary nav force it to stay as is */
@media (max-width: 980px) {
	#myTopMenu .et_pb_menu .et_pb_menu__menu {
			display: block !important;
	}
	#myTopMenu .et_pb_menu .et_mobile_nav_menu {
			display: none !important;
	}
}
/* add this class to remove the default bottom margins */
.top-header-col {
	margin-bottom: 0;
}
span.top-phone,span.top-register {
	padding-left:25px;
	margin-right: 8px;
	position: relative;
}
span.top-phone:before, span.top-register:before {
	position:absolute;
	top: -1px;
	left: -3px;
	content: "";
	width: 16px;
	height: 16px;
	background-color: transparent;
	background-size: contain;
	background-repeat: no-repeat;
}
span.top-phone:before {
	background-image: url("https://www.bestsaw.co.uk/wp-content/uploads/2021/06/SQ_call.svg");
}
span.top-register:before {
	background-image: url("https://www.bestsaw.co.uk/wp-content/uploads/2021/06/SQ_loginRegister.svg");
}


/*---------------------------------------------------------------*/ 
/*------Replace the Search Button with an Icon by Divi Soup------*/ 
/*---------------------------------------------------------------*/
/*Hide the search button*/
.ds-icon-search input.et_pb_searchsubmit,
.widget_search input#searchsubmit {
    background: transparent !important;
    color: transparent !important;
		border-color: transparent !important;
    border: none;
    width: 55px;
    z-index: 2;
}
/*Add padding to the search input field*/
.ds-icon-search input.et_pb_s,
.widget_search input#s {
    padding-right: 55px !important;
}
/*Add the icon*/
.ds-icon-search .et_pb_searchform:before,
.widget_search::before {
    content: '\55';
    position: absolute;
    font-family: 'ETModules';
    z-index: 1;
    right: 0;
    font-size: 16px;
    padding: 8px 20px;
	background-color: #c95b38;
	color: #FFF;
}
.widget_search {
	position: relative;
}
.widget_search::before {
	top: 29px;
	right: 2px;
}

#main-content {
	position: relative;
	z-index: 1;
}
/*------------------------------------------------------- */
/* MAIN MEGA MENU, added id #main-nav to section css */
#main-nav {
	position: relative;
	z-index: 99999;
}
#main-nav .et_pb_menu .et-menu > li {
	padding: 0px 20px !important;
}

#main-nav .et_pb_menu__menu > nav > ul > li {
    margin-top: 0px !important;
}
#main-nav .et_pb_menu__menu > nav > ul > li > a,#main-nav .et_pb_menu__menu > nav > ul > li > a {
	padding-top: 14px !important;
	padding-bottom: 8px !important;
}
#main-nav .et_pb_menu .et-menu > li:hover,.et_pb_menu .et-menu > li.current_page_item {
	background-color: #254e22;
	color: #fff;
}
/* Top menu arrow if subs */
.et-menu .menu-item-has-children > a:first-child::after {
	font-family: ETmodules;
	content: '\33';
	font-size: 16px;
	position: absolute;
	right: 0;
	top: 16px !important;
	font-weight: 800;
}
/*------------------------------------------------------- */
/* SUB MEGA MENU */
@media (min-width: 981px) {
	.et-menu-nav li.mega-menu > ul {
		padding: 30px 30px!important;
		position: absolute !important;
		margin: auto!important;
		left: 0 !important;
		right: 0!important;
	}
}
.et-menu-nav li.mega-menu > ul > li {
	width: 24%;
	margin: 0 0.5%;
}
/* Sub Menu links */
#main-nav ul.sub-menu li a, #main-nav ul.sub-menu li a:first-child {
	font-family: 'Varela Round',Helvetica,Arial,Lucida,sans-serif !important;
	font-size: 16px !important;
	line-height: 22px !important;
	display: block;
	border-top: none;
}
.et-db #et-boc .et-l .et-menu-nav li.mega-menu > ul > li > a:first-child {
	padding-top: 8px !important;
	border-bottom: 2px solid #254e22;
	margin-bottom: 10px;
}

@media (min-width: 981px) {
	#main-nav ul.sub-menu li a {
		border: none;
	}
}
#main-nav ul.sub-menu li a:hover {
	color: #b84621 !important;
	opacity: 1  !important;
	background-color: rgba(0, 0, 0, 0)
}
.et-db #et-boc .et-l .et-menu-nav li.mega-menu li > a {
	width: 98% !important;
	min-width: 280px;
}
.et-db #et-boc .et-l .et-menu li li a {
    padding: 2px 5px 2px 20px;
}


/* MOBILE ICON SIZE */
.mobile_menu_bar:before {
 font-size:46px;
}


/*------------------------------------------------------- */
/* Home Slider caption make it flex to adjust title content order */
.et_pb_slide .et_pb_text_overlay_wrapper {
	position: relative;
	display: flex;
	flex-direction: column;
	}
.et_pb_slide_title {
	order: 2;
	border-top: 2px dashed #c95b38;
	padding-top: 8px;
}
.et_pb_slide_content {
	order: 1;
	padding-bottom: 10px;
}	
/* buy online circle */
@media screen and (min-width: 981px) {
	.et_pb_slide .et_pb_text_overlay_wrapper:after {
		position: absolute;
		top:-15px;
		right:-55px;
		display: block;
		content: "";
		width: 100px;
		height: 100px;
		background-color: transparent;
		background-size: contain;
		background-repeat: no-repeat;
		z-index: 10;
	}
	.et_pb_slide .et_pb_text_overlay_wrapper:after {
		background-image: url("https://www.bestsaw.co.uk/wp-content/uploads/2021/06/SQ_hBanner_buyOnline.png");
	}
}
/*------------------------------------------------------- */
/* Home sections  */
.jap-sewing-border h1 {
	margin-top: 8px;
}
.welcome-box h1 {
	border-bottom: 2px solid #c95b38;
	margin-bottom: 10px;
}
.welcome-box table {
	margin-top: 20px !important;
}
.welcome-box td {
	padding: 1px 8px 0 0 !important;
}
/* default button arrow */
.et_pb_button::after {
	transition: all 0.7s ease !important;
}
.et_pb_button:hover::after {
	right: 2px;
	transition: all 0.7s ease !important;
}

/*------------------------------------------------------- */
/* Content pages */
.woocommerce .woocommerce-breadcrumb  {
	font-size: .82em;
}
.et_pb_title_container {
	text-align: center;
}
.content-post-title-banner h1 {
	border-top: 2px dashed #c95b38;
	display: inline-block;
	text-align: center;
}

/*------------------------------------------------------- */
/* WooCommerce */
.et_pb_menu__cart-button {
	display: none !important; /* hides default cart icon if eneabled */
}
.cart .fa-shopping-cart { 
	position:relative;
	top: -5px;
	font-size: 22px;
	margin-right: 14px;
  }
.cart .count {
	display: none;
 }		
@media (min-width: 981px) {
	.cart .count {
		display: inline-block;
		position: absolute;
		top:7px;
		right: 0px;
		color:#FFF;
		background: #c95b38;
		border-radius: 50%;
		width: 18px;
		height: 18px;
		text-align: center;
		font-size: 12px;
		z-index: 100;
	 }	
}
.woocommerce #content .quantity input.qty, .woocommerce-cart table.cart td.actions .coupon .input-text, .woocommerce-page #content .quantity input.qty, .woocommerce-page .quantity input.qty, .woocommerce .quantity input.qty {
	color: #254e22 !important;
	border-radius: 0px;
	border: 2px solid #254e22  !important;
	background-color: rgba(0,0,0,0) !important;
	font-size: 18px !important;
	margin-top:2px;
}
.woocommerce-cart table.cart td.actions .coupon .input-text::input-placeholder {
 color:#999;
}
.woocommerce-cart table.cart td.actions .coupon .input-text::-webkit-input-placeholder {
 color:#999;
}
.woocommerce-cart table.cart td.actions .coupon .input-text:-moz-placeholder,
.woocommerce-cart table.cart td.actions .coupon .input-text::-moz-placeholder {
 color:#999;
}
.woocommerce-cart table.cart td.actions .coupon .input-text:-ms-input-placeholder {
 color:#999;
}
.woocommerce div.product .product_title {
    margin-top: 10px;
}
.woocommerce-products-header, .title page-title {
	margin-top:10px !important;
	margin-bottom:20px !important;
}	

/* Product Non selling cart items */
.woocommerce-message, .woocommerce-error, .woocommerce-info {
	margin-top:10px !important;
    margin-bottom:10px !important;
	padding: 15px !important;
}
/* Attributes/Variables drop down */
.orderby, .woocommerce div.product form.cart .variations td select {
    font-size: 14px;
    padding: 8px 8px;
    font-weight: 500;
    font-family: 'Open Sans', Arial, sans-serif;
}
.woocommerce-message, .woocommerce-error, .woocommerce-info {
    margin-top: 10px !important;
    margin-bottom: 20px !important;
    padding: 15px !important;
}
.woocommerce div.product form.cart .variations td {
    line-height: 1.6em;
	color: #254e22;
}
.woocommerce table.shop_attributes th {
    width: 50%;
}
#add_payment_method #payment div.form-row, .woocommerce-cart #payment div.form-row, .woocommerce-checkout #payment div.form-row {
    margin-bottom: 20px;
}

/* Wishlist plugin */
.tinv-header {
	display: none;
}
.woocommerce a.button, .tinv-wishlist button.button {
	color: #FFF !important;
}
.tinv-wishlist button.button {
	background-color: #254e22;
}
.top_wishlist-heart {
	position: relative;
	top: -2px;
}

.woocommerce .widget_price_filter .ui-slider .ui-slider-range {
	background-color: #c95b38;
}
.woocommerce .widget_price_filter .ui-slider .ui-slider-handle {
	background-color: #c95b38;
}
/* custom shop overides */
/* WooCommerce Category Titles */
.woocommerce ul.products li.product .woocommerce-loop-category__title, .woocommerce ul.products li.product .woocommerce-loop-product__title {
		font-size: 24px;
}
/* product title */
.woocommerce ul.products li.product .woocommerce-loop-product__title, .woocommerce ul.products li.product h3 {
	font-size: 24px;
}
.woocommerce ul.products li.product .woocommerce-loop-category__title .count {
	background: transparent;
	color: #c95b38;
}

/* product price */
.woocommerce ul.products li.product .price {
    font-size: 19px;
    color: #C95B38 !important;
}

/* product short description */
p:not(.has-background):last-of-type {
    padding-bottom: 20px;
}

/* actual product detail */
.entry-summary p.price span {
    color: #C95B38 !important;
		font-size: 22px !important;		
}
/* product info description */
body.woocommerce #content-area div.product .woocommerce-tabs ul.tabs li.active a, body.woocommerce div.product .woocommerce-tabs ul.tabs li.active a {
    color: #254e22 !important;
}

.woocommerce-variation-price {margin-bottom: 20px;}
/* Add total text before variation option price */
.woocommerce-variation-price .woocommerce-Price-currencySymbol:before {
	position: relative;
	content: "Total: ";
	display: inline-block;
	margin-right: 8px;
}


/* remove the line between side nav and products */
#main-content .container::before {
	display:none;
}
/* product images overlays */
.et_overlay {
    display:none;
}
.et_portfolio_image, .et_shop_image  {
    -webkit-transition: all 0.3s;
    transition: all 0.3s;
}
.et_portfolio_image:hover, .et_shop_image:hover {
    -webkit-transform: scale(1.1);
    transform: scale(1.1);
}

/* Cart page */
.woocommerce a.remove {
	color: #c95b38 !important;
}
.woocommerce a:hover.remove {
	background-color: #c95b38 !important;
}
/* Cart Buttons? */
.woocommerce button.button:disabled[disabled] {
	opacity: 1;
	padding: 6px 25px 6px 12px !important;
	color: #FFF !important;
}


/*------------------------------------------------------- */
/* Side Bar Product Categories */
.widget_product_categories .widgettitle  {
	border-bottom: 2px solid #c95b38;
	font-size: 22px;
	margin-bottom: 15px;
	text-transform: capitalize;
}
.widget_product_categories ul li {
	border-bottom: none;
	width: 100%;
}
.widget_product_categories ul li a {
	font-size: 18px;
	color: #6d7383;
}
/* second level */
.widget_product_categories ul li ul li {
	border-bottom: none;
	position: relative;
	margin-bottom: 0px;
}
.widget_product_categories ul li ul li a {
	font-size: 14px;
}
.et_pb_widget a {
	color: #6d7383;
}


/*------------------------------------------------------- */
/* FOOTER */
.footer-content h3 { 
	border-bottom: 3px solid #c95b38;
	padding-bottom: 10px;
}
.footer-content p { 
	padding-top: 30px;
}
.footer-content a { color: #FFF !important; }
.footer-content a:hover { color: #FFF !important; text-decoration: underline !important; }

.et_pb_social_media_follow .et_pb_social_media_follow_network_0_tb_footer .icon::before, .et_pb_social_media_follow .et_pb_social_media_follow_network_1_tb_footer .icon::before {
	font-size: 18px !important;
}

.footer-bottom-content a { color: #FFF !important; }
.footer-bottom-content a:hover { color: #FFF !important; text-decoration: underline !important; }
.fPipe { padding: 0 5px !important;}

/*------------------------------------------------------- */